Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED]Humble bundle 7 - libsteam_api.so missing.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
roravun
Tux's lil' helper
Tux's lil' helper


Joined: 05 Sep 2012
Posts: 82

PostPosted: Tue Jan 01, 2013 8:02 pm    Post subject: [SOLVED]Humble bundle 7 - libsteam_api.so missing. Reply with quote

Anyone has an idea where I can find libsteam_api.so? Google search did not help. It is needed by closure, and is not contained within the package.
Also I do not feel like installing whole steam client which (as stated on the webpage) requires 1GB space (for data downloaded entirely over the wire). Also, there is no entry on icculus bugzilla for that particular game...


Last edited by roravun on Wed Jan 02, 2013 10:51 am; edited 1 time in total
Back to top
View user's profile Send private message
Q-collective
Advocate
Advocate


Joined: 22 Mar 2004
Posts: 2056

PostPosted: Tue Jan 01, 2013 11:54 pm    Post subject: Reply with quote

What game is asking for it? I haven't encountered that error yet in my bundle.

But it looks like it is looking for Steam. Something Valve is now only running betas for on Linux.
Back to top
View user's profile Send private message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4943

PostPosted: Wed Jan 02, 2013 6:25 am    Post subject: Re: Humble bundle 7 - libsteam_api.so missing. Reply with quote

roravun wrote:
Anyone has an idea where I can find libsteam_api.so? Google search did not help. It is needed by closure, and is not contained within the package.
Also I do not feel like installing whole steam client which (as stated on the webpage) requires 1GB space (for data downloaded entirely over the wire). Also, there is no entry on icculus bugzilla for that particular game...


wild guess, inside the whole steam client... you can extract it from the installer but do note that this might need other files to be extracted from the installer, although you don't like it, installing the entire client is the best way to solve it.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball
Back to top
View user's profile Send private message
roravun
Tux's lil' helper
Tux's lil' helper


Joined: 05 Sep 2012
Posts: 82

PostPosted: Wed Jan 02, 2013 10:40 am    Post subject: Reply with quote

Q-collective,
Q-collective wrote:
What game is asking for it? I haven't encountered that error yet in my bundle.

As I wrote, the Closure wants it. If you have installed it, please post the output of `ldd ./Closure*'

DaggyStyle,
I tried, but failed with two libraries 'libsteam.so' and steamclient.so or something like that.
It ends up with
Quote:
./Closure.bin.x86: undefined symbol: SteamAPI_RestartAppIfNecessary


Strangely enough, there is no icculus bugzilla entry for this game.
When I have some free time I will string search all libs that come with steam for that missing symbol.
Back to top
View user's profile Send private message
roravun
Tux's lil' helper
Tux's lil' helper


Joined: 05 Sep 2012
Posts: 82

PostPosted: Wed Jan 02, 2013 10:51 am    Post subject: Reply with quote

Okay, By copying the following libraries from steam client lib directory:

Quote:

libtier0_s.so
libvstdlib_s.so
steamclient.so
(rename to libsteam_api.so inside closure lib)

I got to the point where it says

Code:
./Closure.bin.x86: error while loading shared libraries: libpulse.so.0: cannot open shared object file: No such file or directory


Which makes me want to start a rant about making particular sound system a hard dependency for a linux game, but I am not in a mood ;-)
Back to top
View user's profile Send private message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4943

PostPosted: Wed Jan 02, 2013 11:32 am    Post subject: Reply with quote

roravun wrote:
Okay, By copying the following libraries from steam client lib directory:

Quote:

libtier0_s.so
libvstdlib_s.so
steamclient.so
(rename to libsteam_api.so inside closure lib)

I got to the point where it says

Code:
./Closure.bin.x86: error while loading shared libraries: libpulse.so.0: cannot open shared object file: No such file or directory


Which makes me want to start a rant about making particular sound system a hard dependency for a linux game, but I am not in a mood ;-)


try setting LD_LIBRARY_PATH to the right place before running the client.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball
Back to top
View user's profile Send private message
roravun
Tux's lil' helper
Tux's lil' helper


Joined: 05 Sep 2012
Posts: 82

PostPosted: Wed Jan 02, 2013 8:05 pm    Post subject: Reply with quote

DaggyStyle,

I do not have pulseaudio, nor do I plan to install it just to play this game :-)
Back to top
View user's profile Send private message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4943

PostPosted: Wed Jan 02, 2013 8:56 pm    Post subject: Reply with quote

roravun wrote:
DaggyStyle,

I do not have pulseaudio, nor do I plan to install it just to play this game :-)


didn't saw it was pa, I just saw the error.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball
Back to top
View user's profile Send private message
Q-collective
Advocate
Advocate


Joined: 22 Mar 2004
Posts: 2056

PostPosted: Thu Jan 03, 2013 12:55 am    Post subject: Reply with quote

roravun wrote:
Q-collective,
Q-collective wrote:
What game is asking for it? I haven't encountered that error yet in my bundle.

As I wrote, the Closure wants it.

Right, missed that.

Quote:
If you have installed it, please post the output of `ldd ./Closure*'

Sure, hope it helps:

Code:
/usr/local/games/Closure $ ldd Closure.bin.x86_64
        linux-vdso.so.1 (0x00007fffd75bd000)
        libGL.so.1 => /usr/lib64/libGL.so.1 (0x00007fdb2efc6000)
        libCg.so => /opt/nvidia-cg-toolkit/lib64/libCg.so (0x00007fdb2daed000)
        libCgGL.so => /opt/nvidia-cg-toolkit/lib64/libCgGL.so (0x00007fdb2f292000)
        libSDL-1.2.so.0 => /usr/local/games/Closure/lib64/libSDL-1.2.so.0 (0x00007fdb2d861000)
        libopenal.so.1 => /usr/lib64/libopenal.so.1 (0x00007fdb2d60f000)
        libalut.so.0 => /usr/local/games/Closure/lib64/libalut.so.0 (0x00007fdb2d408000)
        librt.so.1 => /lib64/librt.so.1 (0x00007fdb2d200000)
        libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.6.3/libstdc++.so.6 (0x00007fdb2cefc000)
        libm.so.6 => /lib64/libm.so.6 (0x00007fdb2cc02000)
        libgcc_s.so.1 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.6.3/libgcc_s.so.1 (0x00007fdb2c9ec000)
        libc.so.6 => /lib64/libc.so.6 (0x00007fdb2c642000)
        libglapi.so.0 => /usr/lib64/libglapi.so.0 (0x00007fdb2c41c000)
        libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007fdb2c20a000)
        libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x00007fdb2c006000)
        libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00007fdb2bdff000)
        libX11-xcb.so.1 => /usr/lib64/libX11-xcb.so.1 (0x00007fdb2bbfd000)
        libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007fdb2b8be000)
        libxcb-glx.so.0 => /usr/lib64/libxcb-glx.so.0 (0x00007fdb2b6a5000)
        libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007fdb2b484000)
        libXxf86vm.so.1 => /usr/lib64/libXxf86vm.so.1 (0x00007fdb2b27e000)
        libdrm.so.2 => /usr/lib64/libdrm.so.2 (0x00007fdb2b072000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fdb2ae55000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007fdb2ac51000)
        /lib64/ld-linux-x86-64.so.2 (0x00007fdb2f22f000)
        libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007fdb2aa4d000)
        libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00007fdb2a847000)
Back to top
View user's profile Send private message
roravun
Tux's lil' helper
Tux's lil' helper


Joined: 05 Sep 2012
Posts: 82

PostPosted: Thu Jan 03, 2013 8:37 am    Post subject: Reply with quote

QCollective,

So now, the question is why 64-bit version does not require steam, while 32-bit does?
How old is your copy of Closure? I have purchased mine on Feb 1st
Back to top
View user's profile Send private message
Q-collective
Advocate
Advocate


Joined: 22 Mar 2004
Posts: 2056

PostPosted: Fri Jan 04, 2013 8:28 pm    Post subject: Reply with quote

roravun wrote:
QCollective,

So now, the question is why 64-bit version does not require steam, while 32-bit does?
How old is your copy of Closure? I have purchased mine on Feb 1st

I purchased my copy last month, during Humble Bundle 7. Maybe that is the difference?

Although I'm not sure where your February 1st is coming from, as the topic of this title is about HB7, which was last month?
Back to top
View user's profile Send private message
roravun
Tux's lil' helper
Tux's lil' helper


Joined: 05 Sep 2012
Posts: 82

PostPosted: Fri Jan 04, 2013 8:48 pm    Post subject: Reply with quote

QCollective,

I meant January. Didn't invented time machine yet ;-)

I believe humble bundle 7: http://www.humblebundle.com/
ended on January 3rd or so. I purchased my copy very late :-)
Back to top
View user's profile Send private message
Q-collective
Advocate
Advocate


Joined: 22 Mar 2004
Posts: 2056

PostPosted: Sat Jan 05, 2013 12:22 am    Post subject: Reply with quote

roravun wrote:
QCollective,

I meant January. Didn't invented time machine yet ;-)

I believe humble bundle 7: http://www.humblebundle.com/
ended on January 3rd or so. I purchased my copy very late :-)

Ok, then I'm out of clues.

I suggest you contact HB support about it :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum